# $Id: pwsafe.spec 788 2007-05-20 18:17:31Z rpmbuild $
# repo: RE
# restrictions:

Summary: Unix commandline program that manages encrypted password databases
Name: pwsafe
Version: 0.2.0
Release: %RErelease 1
Epoch: 0
License: GPL
Group: Applications/Databases
URL: http://nsd.dyndns.org/pwsafe/
Source0: http://downloads.sf.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge
BuildRequires: openssl-devel, readline-devel, ncurses-devel

%description
pwsafe is a unix commandline program that manages encrypted password databases.

Features:
* Pure command-line operation if desired (good for remote access over ssh) 
  or can interact with X11 selection & clipboard. 
* Portable, endianess-clean, misaligned-access-free C++. Compiles cleanly on
  linux, *bsd, macos x, solaris. 
* Compatible with CounterPane's PasswordSafe Win32 program versions 1.9.x. 
* Funny comments included in source code. 

%prep
%setup -q

%build
%configure --without-x
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%if %{?el2}0 || %{?rh7}0
%else
%check
%{__make} check
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS pwsafe.lsm README TODO
%doc test.dat testv2.dat
%attr(4755,root,root) %{_bindir}/%{name}
%doc %{_mandir}/*/*

%changelog
* Fri May 18 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 0.2.0-1
- Rewrote specfile.
- Built without X11 support.

* Thu Jul  6 2006 Guy Streeter streeter@redhat.com
- Build on FC5

* Fri May 19 2006 - darix@suse.de
- update to 0.2.0

* Thu Jul 03 2003 - darix@irssi.org
- started package with 0.1.6

